Page MenuHomePhabricator

ci: disable unnecessary build targets
ClosedPublic

Authored by zmike on Jul 23 2018, 4:46 AM.

Details

Summary

examples and install are both built by distcheck build, no need to also
build them in every other build

there's also no need to try building an app against the compiled libraries
since ci runs unit tests, requiring binaries to run after linking to the
libraries

Depends on D6662

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 7067
zmike created this revision.Jul 23 2018, 4:46 AM
zmike updated this revision to Diff 15897.Jul 25 2018, 8:53 AM
zmike edited the summary of this revision. (Show Details)
bu5hm4n requested changes to this revision.Aug 3 2018, 12:53 AM

mhm, i dont like this.

The install was done to get the *in the end* installed stuff tested with a client app, so we can ensure we have not broken apps due to header changes / missing headers, which is not happening on a normal pc as the removed headers will likely stay there. Its also a point where we could check the consistency of the installed eo files, i would really not remove this.

This revision now requires changes to proceed.Aug 3 2018, 12:53 AM
zmike added a comment.Aug 6 2018, 4:06 AM

mhm, i dont like this.

The install was done to get the *in the end* installed stuff tested with a client app, so we can ensure we have not broken apps due to header changes / missing headers, which is not happening on a normal pc as the removed headers will likely stay there. Its also a point where we could check the consistency of the installed eo files, i would really not remove this.

That should be tested by distcheck builds.

zmike requested review of this revision.Aug 6 2018, 4:17 AM

But it is not. Its done here for now. So cutting it out is just removing a feature we have in our CI...

zmike added a comment.Aug 6 2018, 5:56 PM

Not removing, just moving:

https://travis-ci.org/Enlightenment/efl/jobs/412895146 grep testapp

But it is not. Its done here for now. So cutting it out is just removing a feature we have in our CI...

When applying the pending patches the example app will be build during distcheck. https://phab.enlightenment.org/D6789
That part is covered now.

One thing to keep in mind is that we will later need to add make the install when we are going to extend the CI to build E and terminology as their builds will need to be based on the installed artifacts from the EFL build.
We do not have these builds right now and we still need to define in which jobs we are doing the install, etc. Just making sure we keep in mind that this need to be added back later in some form.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 16 2018, 2:49 AM
This revision was automatically updated to reflect the committed changes.